pipeline:
  upload-pypi:
    group: deploy
    image: openlp/debian
    pull: true
    commands:
      - python3 setup.py sdist bdist_wheel
      - twine upload dist/*
    when:
      repo: openlp/openlp
      event: tag
      branch: master

  # pages:
  #   group: deploy
  #   image: openlp/debian
  #   commands:
  #     - fixpaths linux.coverage
  #     - fixpaths macos.coverage
  #     - python3-coverage combine linux.coverage macos.coverage
  #     - python3-coverage html
  #     - mv htmlcov public
  #     - python3-coverage report
  #   artifacts:
  #     paths:
  #       - public
  #   expire_in: 30 days
  #   depends_on:
  #     - test-debian
  #     - test-macos
  #   only:
  #     - master@openlp/openlp

depends_on:
  - test
